%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Gnration d'exemples simples pour valider l'EMD en 2D
% 
% Auteur: Tof
% Date de cration: 02/11/2004
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dfinition d'une grille
n=64;
t1=n;t2=n;
c1=t1/2;c2=t2/2;
d1=t1/4;d2=t2/4;
x=[1:1:t1];y=[1:1:t2];
[xx,yy]=meshgrid(x,y);

% sinusoides
T1=t1/16;
T2=t2/16;
global SinusX, global SinusY, global SinusXY
SinusX=sin(xx/T1);
SinusY=sin(yy/T2);
SinusXY=sin(xx/T1).*sin(yy/T2);

% Sinusoide penche
SinusOblique=xx.*SinusXY;

% Deux sinus
SinusCte=10+SinusXY;

% Figures gomtriques
global Carre
Carre=zeros(t1,t2);
indicesX=and(t1/4<x,x<3*t1/4);
indicesY=and(t2/4<y,y<3*t2/4);
Carre(indicesX,indicesY)=1;

global Disque
Disque=zeros(t1,t2);
indices=(xx-c1).^2+(yy-c2).^2<(100).^2;
Disque(indices)=1;

global Gaussienne
Gaussienne=exp(-((xx-c1)/t1).^2).*exp(-((yy-c2)/t2).^2);
GaussienneSinus=Gaussienne+SinusXY;

% signaux bruits
global SignalBruite;
global Bruit;
Bruit=randn(t1,t2);
SinusBruite=SinusXY+Bruit;
CarreBruite=Carre+Bruit;
DisqueBruite=Disque+Bruit;

global lena;
lena=imread('/users/these/damerval/Images/lena512.pgm');



