


% Donnes
n=10;
N=1000;
grilleFine=0:1/N:1;
grille=0:1/n:1;

valeurs=zeros(1,length(grille));

% Heavyside
valeurs(grille<0.5)=0;
valeurs(grille>=0.5)=1;


% Piecewise Cubic Hermite Interpolating Polynomial (PCHIP)
valeursPchip=pchip(grille,valeurs,grilleFine);

% Cubic spline data interpolation
valeursSpline=spline(grille,valeurs,grilleFine);

figure(1)
plot(grille,valeurs,'p','Color','black')
line(grilleFine,valeursSpline,'Color','red'), 
line(grilleFine,valeursPchip,'Color','blue')
legend('points', 'spline', 'pchip', 2)
title('Saut en t=0.5')

% Sinus+ affine
valeurs=grille+grille+sin(6*pi*grille);

% Piecewise Cubic Hermite Interpolating Polynomial (PCHIP)
valeursPchip=pchip(grille,valeurs,grilleFine);

% Cubic spline data interpolation
valeursSpline=spline(grille,valeurs,grilleFine);

figure(2)
plot(grille,valeurs,'p','Color','black')
line(grilleFine,valeursSpline,'Color','red'), 
line(grilleFine,valeursPchip,'Color','blue')
legend('points', 'spline', 'pchip', 2)
title('t+sin(6pi t)')


