%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Corrlation de diffrents modes
% 


function [matrice]=orthogonalite(Imodes,nbmodes)



matrice=zeros(nbmodes);

for i=1:nbmodes
  modeI=Imodes(:,:,i);
  facteurI=sqrt(sum(sum(modeI.^2)));
  for j=1:nbmodes
    modeJ=Imodes(:,:,j);
    facteurJ=sqrt(sum(sum(modeJ.^2)));
    
    EIJ=sum(sum(modeI.*modeJ));
    matrice(i,j)=EIJ/(facteurI*facteurJ);
    
  end
end




