function [MedianeLena,matriceMediane,matriceMoyenne]=simulationMediane(sigma,tailleEchantillon)

% calcul Mediane

global resultatMediane;
global resultatMoyenne;

global noSimulation;
global matriceMediane;
global matriceMoyenne;

tailleImage=64;

methode='cubic';
noModeMax=1;
noIterMax=10;
messages=false;
typeAffichage='';
seuilExtrema=tailleImage/8;
marge=tailleImage/8;


rand('seed',0)


matriceMediane=zeros(tailleEchantillon,noModeMax*noIterMax)
matriceMoyenne=zeros(tailleEchantillon,noModeMax*noIterMax);



for indice=1:tailleEchantillon
  
  bruit=sigma*randn(tailleImage,tailleImage);

  noSimulation=indice;
  disp(noSimulation)
  resultatMediane=[];
  resultatMoyenne=[];

  [Imodes,Ires,TF]=emd2d(bruit, ...
			 messages,typeAffichage,...
			 methode,noModeMax,noIterMax,...
			 seuilExtrema,marge);
  % Calcul de la mdiane du 1er mode
  matriceMediane(noSimulation,:)=resultatMediane';
  
  % Calcul de la moyenne du 1er mode
  matriceMoyenne(noSimulation,:)=resultatMoyenne';
end

resultat=matriceMediane;

mediane=mean(matriceMediane,1);
t=1:10;
plot(t,mediane(t))
xlabel('Number of iterations','FontSize',24)
ylabel('Median(|EnvMoy|)','FontSize',24)

set(gca,'Xtick',[1:10])
%set(gca,'Ytick',[0.05:0.05:0.25])
%set(gca,'Ytick',[0.5:0.5:2.5])
set(gca,'Ytick',[0.005:0.005:0.025])
set(gca,'FontSize',24)


moyenne=mean(matriceMoyenne,1)
line(t,moyenne)




return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% spcifique  Lena
lena=double(imread('/users/these/damerval/Images/lena512.pgm'));

resultatMediane=[];
res=emd2d(lena, ...
	  messages,typeAffichage,...
	  methode,noModeMax,noIterMax,...
	  seuilExtrema,marge);

resultatMediane


%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% spcifique  Lena Bruitee

LenaBruitee=lena+randn
resultatMediane=[];
res=emd2d(LenaGrandBruit, ...
	  messages,typeAffichage,...
	  methode,noModeMax,noIterMax,...
	  seuilExtrema,marge);

resultatMediane
